## org.eclipse.datatools.connectivity.oda.util.logging
Class SimpleFormatter

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.logging.LogFormatter
          org.eclipse.datatools.connectivity.oda.util.logging.SimpleFormatter

    public class SimpleFormatter

extends LogFormatter

Formats a `LogRecord` into an understandable format. It generates a string output of the LogRecord in the form of:
Log Level Time Log Message
<Exception stack trace> ...

Constructor Summary
`SimpleFormatter()` Creates an `SimpleFormatter` instance.

Method Summary
`java.lang.String` `format(LogRecord record)` Formats the specified `LogRecord` to an understandable format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFormatter

    public SimpleFormatter()

  Creates an `SimpleFormatter` instance.

Method Detail

### format

    public java.lang.String format(LogRecord record)

  Formats the specified `LogRecord` to an understandable format.

  Specified by:
    `format` in class `LogFormatter`
  Parameters:
    `record` - the `LogRecord` to format.
  Returns:
    the formatted string.